Subject: RE: [Sip] tool for automating soft phone key pad clicking

From: Rathod Subhashchandra <[email-masked]>
Date: Fri, 5 Jan 2007 18:35:31 +0530

Hi Javier,

My objective is achieved from this tool.

Thanks lot for your timely and good help.

Thanks !
Rathod.

-----Original Message-----
From: Rathod [mailto:[email-masked]]
Sent: Friday, January 05, 2007 3:13 PM
To: 'Jesus Javier Arauz (MI/EEM)'; 'Sebastien Tricaud'
Cc: [email-masked]'
Subject: RE: [Sip] tool for automating soft phone key pad clicking

Hi Javier,

Thanks lot for this information.
I have installed the Macro Express 3.
Need to play with this tool to know how key strokes can be automated.

My requirement is
1.	I have developed the test automation tool for SIP protocol conformance.
2.	Testing at present with SJPhone. SJPhone needs manual interaction for
accepting/rejecting the call and also to place the MT(Mobile Terminating) to
the Testing tool.
4.	We have close to 300 test cases. Manually accepting/rejecting and placing
call for these many test cases is becoming very difficult job.
Hence, I wanted to automate the SJPhone for
accepting/rejecting/call-placing. I can't write the stub as I don't have
interface document.

At present, I am not sure, whether all above things shall be taken care by
MacroExpress3.

Thanks !
Rathod.

-----Original Message-----
From: Jesus Javier Arauz (MI/EEM)
[mailto:[email-masked]]
Sent: Friday, January 05, 2007 1:41 PM
To: Rathod Subhashchandra; Sebastien Tricaud
Cc: [email-masked]
Subject: RE: [Sip] tool for automating soft phone key pad clicking

Hi,

In a recent prototype I had to emulate processing of a 302 response by a
SIP client by launching a script that actually dials the phone number
received in the Contact header of the 302 on the client's UI. The reason
was obviously that the client did not properly implement the re-dialling
on reception of the 302.

The tool I used is MacroExpress 3 and it worked pretty well.

Hope it is helpful,
/Javier

Rathod Subhashchandra wrote:
> Hi Sebastien,
>
> I went through this.
> Looks very complicated. I am looking a tool like WinRunner. Can you
> help me in this?
>
> Thanks !
> Rathod.
>
>
> -----Original Message-----
> From: Sebastien Tricaud [mailto:[email-masked]]
> Sent: Thursday, January 04, 2007 3:42 PM
> To: Rathod Subhashchandra
> Cc: [email-masked]
> Subject: Re: [Sip] tool for automating soft phone key pad clicking
>
>
> Hello,
>
> For buttons clicks, I guess you can get sounds produced by softphones
> and script a player to it :-)
>
> Or, you can use miniua for sip calls scripting. Its documentation is
> available there ->
> http://dev.openwengo.com/trac/openwengo/trac.cgi/wiki/MiniUa
>
>
> In the hope that help you,
>
> Sebastien.
>
>
>
>
>
> Rathod Subhashchandra wrote:
>> Hi All,
>>
>> I am looking for a tool which shall help in automating third party
>> software(SIP Stack phone) like automating of buttons click on the
>> soft phones. It would be a great help if someone provides relevant
>> details.
>>
>> Thanks !
>> Rathod.
>>
>>
>>
>>
>> _______________________________________________
>> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
>> This list is for NEW development of the core SIP Protocol Use
>> [email-masked] for questions on current sip Use
>> [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip